[Unit]
Description=Webmin server daemon
Wants=network-online.target
After=network.target network-online.target

[Service]
Environment="PERLLIB=/usr/share/webmin"
ExecStart=/usr/share/webmin/miniserv.pl /etc/webmin/miniserv.conf
ExecStop=/usr/bin/kill $MAINPID
ExecReload=/usr/bin/kill -HUP $MAINPID
PIDFile=/var/webmin/miniserv.pid
Type=forking
Restart=always
RestartSec=2s
TimeoutSec=15s
TimeoutStopSec=300s

[Install]
WantedBy=multi-user.target
